```@meta
CurrentModule = StellarSpectraObservationFitting
```

# StellarSpectraObservationFitting.jl (SSOF, */suf/* like soufflé) Documentation

![SSOF model](https://raw.githubusercontent.com/christiangil/StellarSpectraObservationFitting.jl/master/docs/ssof_model.PNG)

StellarSpectraObservationFitting (SSOF) is a Julia package for creating data-driven models (with fast, physically-motivated Gaussian Process regularization) for the time-variable spectral features for both the telluric transmission and stellar spectrum measured by Extremely Precise Radial Velcotiy (EPRV) spectrographs. 

## Where to begin?

If you haven't used SSOF before, a good place to start is the "Getting Started" section. We list how to install the package as well as a simple example

```@contents
Pages = ["gettingstarted.md"]
Depth = 2
```

The User's guide (see the navigation bar) may also be of use

## Indices

All of the package functions can be found here

```@contents
Pages = ["indices.md"]
```
